Hi devitg
Logfileon
setvar
?
*
may need press enter to get all pages of setvar
Logfileooff
You now have a logfile.log its saved here. I have mine set to a TEMP directory easier to get at.
Ok change 1 variable only.
Do all the steps above again, you now have 2 Log files and can compare.
In Notepad++ is a compare option makes it much easier. If you dont have Notepad++ open 2 Notepad files and scroll. I think I had to add it to Notepad++ it was in plugin options.
Hi to all CADTutors,
Every now and then I receive a drawing from a third party wich contains a floor heating plan. To be clear: I do not have to draw this myself, it is done by others.
But I can't keep myself from wondering how this is drawn. My guess is that there is some kind of reactor involved. Like in the Vlisp developers bible; in that case a garden path is drawn as example. The reactor makes sure the objects stay between the polyline.
So is this one, define a room (4 walls) and then define the floor heating. The program calculates various things and then projects the polyline as shown in the image.
The challenge / question is: how to automate this?
Maybe others in this forum know about floor heating or even have the answer...?
Smaal update: I now know (after some googling) that this is called under floor heating and that many people have requested this before. However I cannot find any solution.
My "Copy with 0,0 as Base Point" macro
Command Name Copy with 0,0 as Base Point
Description Duplicates objects with 0,0 as the base point
Command Display Name COPYBASE 0,0
Macro $M=$(if,$(eq,$(substr,$(getvar,cmdnames),1,8),GRIP),_copybase,^C^C_copybase) 0,0
Works the same selecting before or after.
Here is a quick and dirty way to insert all block definitions in the current drawing.
(setq *acad* (vla-get-ActiveDocument (vlax-get-acad-object)))
(setq *ms* (vla-get-ModelSpace *acad*))
(vlax-for
item
(vla-get-Blocks *acad*)
(setq name (vla-get-Name item))
(if (not (eq "*" (substr name 1 1)))
(vlax-invoke-method
*ms*
'InsertBlock
(vlax-3d-point (list 0.0 0.0 0.0))
(vla-get-Name item)
1.0
1.0
1.0
0.0
)
)
)